package com.jxml.quick.model.qiml;

import java.util.ArrayList;

/**
 * ChildSelection -
 * 
 * The childSelection element defines a set of alternative sub-models within the content model
 * of the element being defined.
 */
public class ChildSelection implements ContentModel {

    protected boolean optional_28;

    protected boolean repeating_29;

    protected Access access_30;

    /** list of ContentModel */
    protected ArrayList contentModel_31 = new ArrayList();


    public ChildSelection() {
    }

    /** full constructor */
    public ChildSelection(boolean optional_28, boolean repeating_29, Access access_30, ArrayList contentModel_31) {
        this.optional_28 = optional_28;
        this.repeating_29 = repeating_29;
        this.access_30 = access_30;
        if (contentModel_31 != null)    
            this.contentModel_31 = contentModel_31;
    }

    /** minimum constructor */
    public ChildSelection(ArrayList contentModel_31) {
        if (contentModel_31 != null)    
        this.contentModel_31 = contentModel_31;
    }

    public boolean getOptional_28() {
        return(optional_28);
    }

    public void setOptional_28(boolean optional_28) {
        this.optional_28 = optional_28;
    }

    public boolean getRepeating_29() {
        return(repeating_29);
    }

    public void setRepeating_29(boolean repeating_29) {
        this.repeating_29 = repeating_29;
    }

    public Access getAccess_30() {
        return(access_30);
    }

    public void setAccess_30(Access access_30) {
        this.access_30 = access_30;
    }

    /** list of ContentModel */
    public ArrayList getContentModel_31() {
        return(contentModel_31);
    }

    /** list of ContentModel */
    public void setContentModel_31(ArrayList contentModel_31) {
        this.contentModel_31 = contentModel_31;
    }

    public ContentModel getContentModel(int i) {
        return((ContentModel)contentModel_31.get(i));
    }

    public void setContentModel(int i, ContentModel contentModel) {
        contentModel_31.set(i, contentModel);
    }

    public int contentModelCount() {
        return(contentModel_31.size());
    }

    public void addContentModel(ContentModel contentModel) {
        contentModel_31.add(contentModel);
    }

}
